# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "mogilefs-client"
  s.version = "3.7.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Eric Wong"]
  s.date = "2013-09-10"
  s.description = "[\"A MogileFS client library for Ruby.  MogileFS is an open source\\ndistributed filesystem, see: http://mogilefs.org for more details.  This\\nlibrary allows any Ruby application to read, write and delete files in a\\nMogileFS instance.\"]"
  s.email = ["normalperson@yhbt.net"]
  s.executables = ["mog"]
  s.extra_rdoc_files = ["Manifest.txt"]
  s.files = ["bin/mog", "Manifest.txt"]
  s.homepage = "http://bogomips.org/mogilefs-client/"
  s.rdoc_options = ["--main", "README"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "seattlerb"
  s.rubygems_version = "1.8.29"
  s.summary = "MogileFS client library for Ruby"

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rdoc>, ["~> 3.10"])
      s.add_development_dependency(%q<hoe>, ["~> 3.5"])
    else
      s.add_dependency(%q<rdoc>, ["~> 3.10"])
      s.add_dependency(%q<hoe>, ["~> 3.5"])
    end
  else
    s.add_dependency(%q<rdoc>, ["~> 3.10"])
    s.add_dependency(%q<hoe>, ["~> 3.5"])
  end
end
